{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
{% url 'admin:jsi18n' as jsi18nurl %}
  <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
{{ media }}
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'adin/css/forms.css' %}" />
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block breadcrumbs %}
<div class="breadcrumbs">
      <a href="../../../">
        {% trans "Inicio" %} &rsaquo;
      </a>
      <a href="../">
          {% trans "Asignación de Pagos UDL" %} &rsaquo;
      </a>
      <a href="">
          {% trans "Cargar Archivo Banco" %} &rsaquo;
      </a>
          {% trans "Resultado Archivo Banco" %}
</div>
{% endblock %}

{% block title %} {% trans 'Reportes de Pago UDL' %} {% endblock %}
{% block coltype %}flex{% endblock %}

{% block content %}

<fieldset class="module">
<div class="form-row">
        <div class="field-box">
		<label class="required" >Reporte:</label>
                Registros Actualizados del Banco
	</div>
</div>
</fieldset>

<div id="content-main">
      {% block result_list %}
        <h2>Registros con nuevos comprobantes actualizados</h2>
        {% if nuevos_detalles %}
        <div class = "module aligned" id="changelist" >
        <table>
        <THEAD>
        <TR>
        <TH>Número</TH>
        <TH>Código Banco</TH>
        <TH>Apellidos y Nombres</TH>
        <TH>Concepto de Pago</TH>
        <TH>Comprobante</TH>
        <TH>Monto Deuda</TH>
        <TH>Monto Cancelado</TH>
        <TH>Fecha de Pago</TH>
        <TH>Pago Restante</TH>
        <TH>Comprobante Mora</TH>
        <TH>Monto Mora</TH>
        </TR>
	</THEAD>
        <TBODY>
        {% for pago in nuevos_detalles %}
        <TR class="{% cycle 'row1' 'row2' %}">
           <TD>{{ forloop.counter }}</TD>
           <TD>{{ pago.PagoAlumno.MatriculaCiclo.Alumno.Codigo|escape }}</TD>
           <TD>{{ pago.PagoAlumno.MatriculaCiclo.Alumno|escape }}</TD>
           <TD>{{ pago.PagoAlumno.ConceptoPago.Descripcion|escape }}</TD>
           <TD>{{ pago.Comprobante.TipoComprobante.Serie.Numero|escape }} - {{ pago.Comprobante.Correlativo|escape }}</TD>
           <TD>S./ {{ pago.MontoDeuda|escape }}</TD>
           <TD>S./ {{ pago.MontoCancelado|escape }}</TD>
           <TD>{{ pago.FechaPago|escape }}</TD>
           <TD>S./ {{ pago.PagoRestante|escape }}</TD>
           <TD>{{ pago.PagoAlumno.ComprobanteMora|escape }}</TD>
           <TD>S./ {{ pago.PagoAlumno.TotalMora|escape }}</TD>
        </TR>
        {% endfor%}
        </TBODY>
        </table>
        </div>
        {% else %}
        <div class = "module aligned" id="changelist" >
        <p>No hay registros.</p>
        </div>
        {% endif %}

        <h2>Detalles de pago actualizados</h2>
        {% if detalles %}
        <div class = "module aligned" id="changelist" >
        <table>
        <THEAD>
        <TR>
        <TH>Número</TH>
        <TH>Código Banco</TH>
        <TH>Apellidos y Nombres</TH>
        <TH>Concepto de Pago</TH>
        <TH>Comprobante</TH>
        <TH>Monto Deuda</TH>
        <TH>Monto Cancelado</TH>
        <TH>Fecha de Pago</TH>
        <TH>Pago Restante</TH>
        <TH>Comprobante Mora</TH>
        <TH>Monto Mora</TH>
        </TR>
	</THEAD>
        <TBODY>
        {% for pago in detalles %}
        <TR class="{% cycle 'row1' 'row2' %}">
           <TD>{{ forloop.counter }}</TD>
           <TD>{{ pago.PagoAlumno.MatriculaCiclo.Alumno.Codigo|escape }}</TD>
           <TD>{{ pago.PagoAlumno.MatriculaCiclo.Alumno|escape }}</TD>
           <TD>{{ pago.PagoAlumno.ConceptoPago.Descripcion|escape }}</TD>
           <TD>{{ pago.Comprobante.TipoComprobante.Serie.Numero|escape }} - {{ pago.Comprobante.Correlativo|escape }}</TD>
           <TD>S./ {{ pago.MontoDeuda|escape }}</TD>
           <TD>S./ {{ pago.MontoCancelado|escape }}</TD>
           <TD>{{ pago.FechaPago|escape }}</TD>
           <TD>S./ {{ pago.PagoRestante|escape }}</TD>
           <TD>{{ pago.PagoAlumno.ComprobanteMora|escape }}</TD>
           <TD>S./ {{ pago.PagoAlumno.TotalMora|escape }}</TD>
        </TR>
        {% endfor%}
        </TBODY>
        </table>
        </div>
        {% else %}
        <div class = "module aligned" id="changelist" >
        <p>No hay registros.</p>
        </div>
        {% endif %}

        <h2>Moras de pago cobradas</h2>
        {% if moras %}
        <div class = "module aligned" id="changelist" >
        <table>
        <THEAD>
        <TR>
        <TH>Número</TH>
        <TH>Código Banco</TH>
        <TH>Apellidos y Nombres</TH>
        <TH>Concepto de Pago</TH>
        <TH>Comprobante</TH>
        <TH>Monto Deuda</TH>
        <TH>Monto Cancelado</TH>
        <TH>Fecha de Pago</TH>
        <TH>Pago Restante</TH>
        <TH>Comprobante Mora</TH>
        <TH>Monto Mora</TH>
        </TR>
	</THEAD>
        <TBODY>
        {% for pago in moras %}
        <TR class="{% cycle 'row1' 'row2' %}">
           <TD>{{ forloop.counter }}</TD>
           <TD>{{ pago.PagoAlumno.MatriculaCiclo.Alumno.Codigo|escape }}</TD>
           <TD>{{ pago.PagoAlumno.MatriculaCiclo.Alumno|escape }}</TD>
           <TD>{{ pago.PagoAlumno.ConceptoPago.Descripcion|escape }}</TD>
           <TD>{{ pago.Comprobante.TipoComprobante.Serie.Numero|escape }} - {{ pago.Comprobante.Correlativo|escape }}</TD>
           <TD>S./ {{ pago.MontoDeuda|escape }}</TD>
           <TD>S./ {{ pago.MontoCancelado|escape }}</TD>
           <TD>{{ pago.FechaPago|escape }}</TD>
           <TD>S./ {{ pago.PagoRestante|escape }}</TD>
           <TD>{{ pago.PagoAlumno.ComprobanteMora|escape }}</TD>
           <TD>S./ {{ pago.PagoAlumno.TotalMora|escape }}</TD>
        </TR>
        {% endfor%}
        </TBODY>
        </table>
        </div>
        {% else %}
        <div class = "module aligned" id="changelist" >
        <p>No hay registros.</p>
        </div>
        {% endif %}
        
     {% endblock %}
  </div>
{% endblock %}
